[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Debian needs more buildds. It has offers. They aren't being accepted.

Anthony Towns <aj@azure.humbug.org.au> writes:

> On Thu, Feb 12, 2004 at 02:57:01PM -0600, Chris Cheney wrote:
> > For example with the arm/mipsel problems I
> > would have known why the buildds weren't building KDE packages for a
> > month, and could have probably already uploaded KDE 3.2.0 by now.
> ] --- Day changed Fri Jan 30 2004
> ] [...]
> ] 15:33 <aj> calc: upload it to experimental now instead; that way you get the 
> ]            NEW processing out of the way now
> ] 15:33 <calc> aj: i will as soon as i have some reasonably ready ones, 
> ]              probably tomorrow
> ] 15:34 <calc> well ~ 12hrs from now anyway
> ] 15:34 <aj> calc: (err, "you can ..", not "please do .." necessarily)
> Uploading KDE 3.2.0 to unstable isn't the right thing to do when it's
> likely to have RC bugs and cause us lots of problems trying to release;
> uploading it to experimental doesn't affect the autobuilders in any
> way. I don't see why you think blaming the buildds makes any sense.

We want kde 3.2.0 in sid so it is (tried to be) autobuild. Having it
in experimental for the one arch the maintainer has will not solve the
RC bugs that might show up on the other archs.

What he was waiting for is for the current kde to get into sarge so
that it is available and can be used (or downgraded to). But, thats
how I understand it, if he had known it wouldn't go into sarge anyway,
because Ryan has blocked qt-x11-free on his buildd, he could have just
gone ahead and upload kde 3.2.0 and get it fixed in the same time.

He wanted to be nice to the users and give them a properly working KDE
in testing before uploading a new and untested one. I think that is a
very commendable thing.

> Even ignoring that, given the s390 build of KDE 3.1.5-2 is failing due to 
> ] /usr/include/asm/ptrace.h:448: error: syntax error before "s390_fp_regs"
> ] /usr/include/asm/ptrace.h:457: error: syntax error before '}' token
> ] In file included from /usr/include/sys/user.h:22,
> ]                from ../../../../ksysguard/ksysguardd/Linux/ProcessList.c:29: 
> ] /usr/include/asm/user.h:55: error: field `regs' has incomplete type
> things don't seem like they'd be any better with more buildds anyway. And
> given that you're presumably waiting on KDE 3.1.5 to go into testing
> before uploading KDE 3.2, complaining when it's currently at 13 days
> out of 10 required seems a bit premature.
> Cheers,
> aj

Your confusing the issues here.

1. m68k wants more buildds which is completly unrelated to the qt/kde

2. qt-x11-free was stuck without any reply from ryan why (and Martin
   now found out for me that the buildd is configured that way)

3. kde couldn't even be build because of versioned depends between the
   QT packages.

4. The S390 error looks like a bug in libc6-dev or
   linux-kernel-headers and after the s390 port fixes that a simple
   recompile will move kde into sarge.

S390 also tried to build kde as late as Feb 6th and I'm sure Chris
looked into that and found out why it wasn't being build before
that. The same way he tried for mipsel where he didn't get an


Reply to: